Package io.strimzi.systemtest.resources.operator

## Class HelmResource

- java.lang.Object
- - io.strimzi.systemtest.resources.operator.HelmResource

-     public class HelmResource
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `HELM_CHART` |
    `static String` | `HELM_RELEASE_NAME` |
    `static String` | `LIMITS_CPU` |
    `static String` | `LIMITS_MEMORY` |
    `static String` | `REQUESTS_CPU` |
    `static String` | `REQUESTS_MEMORY` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HelmResource()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `clusterOperator()` |
    `static void` | `clusterOperator​(long operationTimeout)` |
    `static void` | `clusterOperator​(long operationTimeout, long reconciliationInterval)` |
    `static void` | `deleteClusterOperator()` | Delete CO deployed via helm chart.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HELM_CHART

          public static final String HELM_CHART

    - #### HELM_RELEASE_NAME

          public static final String HELM_RELEASE_NAME

      See Also:
        Constant Field Values

    - #### REQUESTS_MEMORY

          public static final String REQUESTS_MEMORY

      See Also:
        Constant Field Values

    - #### REQUESTS_CPU

          public static final String REQUESTS_CPU

      See Also:
        Constant Field Values

    - #### LIMITS_MEMORY

          public static final String LIMITS_MEMORY

      See Also:
        Constant Field Values

    - #### LIMITS_CPU

          public static final String LIMITS_CPU

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HelmResource

          public HelmResource()

  - ### Method Detail

    - #### clusterOperator

          public static void clusterOperator()

    - #### clusterOperator

          public static void clusterOperator​(long operationTimeout)

    - #### clusterOperator

          public static void clusterOperator​(long operationTimeout,
                                             long reconciliationInterval)

    - #### deleteClusterOperator

          public static void deleteClusterOperator()

      Delete CO deployed via helm chart.